### Function

# JavaScriptCore ClassSetPropertyFunction

#### Declaration

    gboolean
    (* JSCClassSetPropertyFunction) (
      JSCClass* jsc_class,
      JSCContext* context,
      gpointer instance,
      const char* name,
      JSCValue* value
    )

#### Description [src]

The type of set_property in `JSCClassVTable`. This is only required when you need to handle external properties not added to the prototype.

#### Parameters

`jsc_class` | `JSCClass`
| A `JSCClass`.
| The data is owned by the caller of the function.
`context` | `JSCContext`
| A `JSCContext`.
| The data is owned by the caller of the function.
`instance` | `gpointer`
| The `jsc_class` instance.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`name` | `const char*`
| The property name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`value` | `JSCValue`
| The `JSCValue` to set.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `TRUE` if handled or `FALSE` to forward the request to the parent class or prototype chain.